> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Setting Google App List Tasks

> This endpoint will provide you with a list of mobile applications published in the top charts on the [Google Play](https://play.



## OpenAPI

````yaml openapi/dataforseo.json POST /dataforseo/app_data/google/app_list/task_post
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/app_data/google/app_list/task_post:
    post:
      summary: Setting Google App List Tasks
      description: >-
        This endpoint will provide you with a list of mobile applications
        published in the top charts on the [Google
        Play](https://play.google.com/store/apps) platform. The returned results
        are specific to the app collection as well as the the
        [language](https://docs.dataforseo.com/v3/app_data/google/languages.md)
        and
        [location](https://docs.dataforseo.com/v3/app_data/google/locations.md)
        parameters.
      operationId: post_dataforseo_app_data_google_app_list_task_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                app_collection:
                  type: string
                  description: >-
                    app collection required field app collection on Google Play
                    from which apps will be collected; you can specify the
                    following values: featured, topselling_paid,
                    topselling_free, topselling_new_free, topselling_new_paid,
                    topgrossing, movers_shakers Note: if featured is selected,
                    the app_category parameter cannot be used
                location_name:
                  type: string
                  description: >-
                    full name of search engine location required field if you
                    don’t specify location_code if you use this field, you don’t
                    need to specify location_code you can receive the list of
                    available locations of the search engine with their
                    location_name by making a separate request to
                    https://api.dataforseo.com/v3/app_data/google/locations
                    example: West Los Angeles,California,United States
                location_code:
                  type: integer
                  description: >-
                    search engine location code required field if you don’t
                    specify location_name if you use this field, you don’t need
                    to specify location_name you can receive the list of
                    available locations of the search engine with their
                    location_code by making a separate request to
                    https://api.dataforseo.com/v3/app_data/google/locations
                    example: 9061121
                language_name:
                  type: string
                  description: >-
                    full name of search engine language required field if
                    language_code is not specified if you use this field, you
                    don’t need to specify language_code you can receive the list
                    of available languages with language_name by making a
                    separate request to
                    https://api.dataforseo.com/v3/app_data/google/languages
                    example: English
                language_code:
                  type: string
                  description: >-
                    search engine language code required field if language_name
                    is not specified if you use this field, you don’t need to
                    specify language_name you can receive the list of available
                    languages with their language_code by making a separate
                    request to
                    https://api.dataforseo.com/v3/app_data/google/languages
                    example: en
                priority:
                  type: integer
                  description: >-
                    task priority optional field can take the following values:
                    1 – normal execution priority (set by default) 2 – high
                    execution priority You will be additionally charged for the
                    tasks with high execution priority. The cost can be
                    calculated on the Pricing page.
                depth:
                  type: integer
                  description: >-
                    parsing depth optional field number of apps to be returned
                    in the API response; we strongly recommend setting the
                    parsing depth in the multiples of 100, because our system
                    processes 100 results in a row; default value: 100; maximum
                    value: 200; Your account will be billed per each SERP
                    containing up to 100 results; Setting depth above 100 may
                    result in additional charges if the search engine returns
                    more than 100 results; The cost can be calculated on the
                    Pricing page.
                app_category:
                  type: string
                  description: >-
                    application category on Google Play optional field you can
                    filter the results by app category; example: family; you can
                    receive the full list of available categories by making a
                    separate request to
                    https://api.dataforseo.com/v3/app_data/google/categories
                    Note: app_category cannot be used if app_collection
                    parameter is set to featured
                age_rating:
                  type: string
                  description: >-
                    filter results by age rating optional field you can use this
                    field to filter the results by age rating; possible types of
                    filtering: ages_up_to_5 — return apps approved for children
                    up to 5 years old; ages_6_8 — return apps approved for
                    children from 6 to 8 years old; ages_9_12 — return apps
                    approved for children from 9 to 12 years old; by default,
                    the API returns apps for all ages; Note: this filter works
                    only in conjunction with the "category": "family" parameter
                tag:
                  type: string
                  description: >-
                    user-defined task identifier optional field the character
                    limit is 255 you can use this parameter to identify the task
                    and match it with the result you will find the specified tag
                    value in the data object of the response
                postback_url:
                  type: string
                  description: >-
                    URL for sending task results optional field once the task is
                    completed, we will send a POST request with its results
                    compressed in the gzip format to the postback_url you
                    specified you can use the ‘$id’ string as a $id variable and
                    ‘$tag’ as urlencoded $tag variable. We will set the
                    necessary values before sending the request. example:
                    http://your-server.com/postbackscript?id=$id
                    http://your-server.com/postbackscript?id=$id&tag=$tag Note:
                    special characters in postback_url will be urlencoded; i.a.,
                    the # character will be encoded into %23
                postback_data:
                  type: string
                  description: >-
                    postback_url datatype required field if you specify
                    postback_url corresponds to the datatype that will be sent
                    to your server possible values: advanced, html
                pingback_url:
                  type: string
                  description: >-
                    notification URL of a completed task optional field when a
                    task is completed we will notify you by GET request sent to
                    the URL you have specified you can use the ‘$id’ string as a
                    $id variable and ‘$tag’ as urlencoded $tag variable. We will
                    set the necessary values before sending the request.
                    example: http://your-server.com/pingscript?id=$id
                    http://your-server.com/pingscript?id=$id&tag=$tag Note:
                    special characters in pingback_url will be urlencoded; i.a.,
                    the # character will be encoded into %23
              required:
                - app_collection
                - location_name
                - location_code
                - language_name
                - language_code
                - postback_data
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: the current version of the API
                  status_code:
                    type: integer
                    description: >-
                      general status code you can find the full list of the
                      response codes here Note: we strongly recommend designing
                      a necessary system for handling related exceptional or
                      error conditions
                  status_message:
                    type: string
                    description: >-
                      general informational message you can find the full list
                      of general informational messages here
                  time:
                    type: string
                    description: execution time, seconds
                  cost:
                    type: number
                    description: total tasks cost, USD
                  tasks_count:
                    type: integer
                    description: the number of tasks in the tasksarray
                  tasks_error:
                    type: integer
                    description: >-
                      the number of tasks in the tasks array returned with an
                      error
                  tasks:
                    type: array
                    items:
                      type: string
                    description: array of tasks
                  tasks.id:
                    type: string
                    description: >-
                      unique task identifier in our system in the Universally
                      unique identifier (UUID) format
                  tasks.status_code:
                    type: integer
                    description: >-
                      status code of the task generated by DataForSEO; can be
                      within the following range: 10000-60000
                  tasks.status_message:
                    type: string
                    description: informational message of the task
                  tasks.time:
                    type: string
                    description: execution time, seconds
                  tasks.cost:
                    type: number
                    description: cost of the task, USD
                  tasks.result_count:
                    type: integer
                    description: number of elements in the result array
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL path
                  tasks.data:
                    type: object
                    description: >-
                      contains the same parameters that you specified in the
                      POST request
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: array of results in this case, the value will be null
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````